import drag from './drag'

const install = function(Vue) {
  // Vue.directive('el-drag-dialog', drag)
  Vue.directive('a-modal', drag)
}

if (window.Vue) {
  // window['el-drag-dialog'] = drag
  window['a-modal'] = drag
  Vue.use(install); // eslint-disable-line
}
drag.install = install
export default drag
